on startMovie
  cursor(4)
  hSetupMovie()
end

on stopMovie
  hCleanupSprites()
end

on idle
  CheckForRollovers(the rollOver)
end

on hSetupMovie
  global gSunSignSprite, gTextSpriteNum, gAnswerTextSpriteNum, gVoiceoverButtonSprite, gVoiceoverPlaying
  set gSunSignSprite to 2
  set gTextSpriteNum to 6
  set gAnswerTextSpriteNum to 23
  set gVoiceoverButtonSprite to 39
  set gVoiceoverPlaying to 0
end

on hStartSunSignRolloverAction whichSprite, whichSunSign
  global gSunSignSprite
  set currentCastMember to the name of member the memberNum of sprite whichSprite of castLib the castLibNum of sprite whichSprite
  if (the puppet of sprite whichSprite = 0) and (currentCastMember = "up state") then
    puppetSprite(whichSprite, 1)
    set the memberNum of sprite whichSprite to the memberNum of sprite whichSprite + 1
    puppetSprite(gSunSignSprite, 1)
    set mNum to the number of member ("sun sign" && whichSunSign) of castLib the castLibNum of sprite gSunSignSprite
    set the memberNum of sprite gSunSignSprite to member mNum
    updateStage()
  end if
end

on hEndSunSignRolloverAction whichSprite
  global gSunSignSprite
  puppetSprite(whichSprite, 0)
  puppetSprite(gSunSignSprite, 0)
  updateStage()
end

on hSunSignButtonAction whichSunSign
  global gSunSignSprite
  puppetSound("click")
  set rolledover to the memberNum of sprite the clickOn
  set depressed to rolledover + 1
  set released to rolledover - 1
  set sunSignRollover to the number of member ("sun sign" && whichSunSign) of castLib the castLibNum of sprite gSunSignSprite
  set sunSignDownState to the number of member ("sun sign" && whichSunSign & "a") of castLib the castLibNum of sprite gSunSignSprite
  set sunSignUpState to the number of member "sun sign" of castLib the castLibNum of sprite gSunSignSprite
  set the memberNum of sprite the clickOn to depressed
  set the memberNum of sprite gSunSignSprite to member sunSignDownState
  updateStage()
  set the mouseUpScript to "hNoMouseUp"
  repeat while the stillDown
    if rollOver(the clickOn) then
      set the memberNum of sprite the clickOn to depressed
      set the memberNum of sprite gSunSignSprite to member sunSignDownState
    else
      set the memberNum of sprite the clickOn to released
      set the memberNum of sprite gSunSignSprite to member sunSignUpState
    end if
    updateStage()
  end repeat
  if rollOver(the clickOn) then
    set the memberNum of sprite the clickOn to rolledover
    set the memberNum of sprite gSunSignSprite to member sunSignRollover
    updateStage()
  end if
  return rollOver(the clickOn)
end
